package com.trade.service.salesorder.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.trade.service.salesorder.domain.SalesOrder;
import com.trade.service.salesorder.vo.SalesOrderDtlVO;
import com.trade.service.salesorder.vo.SalesOrderSearch;
import com.trade.service.salesorder.vo.SalesOrderVO;

/**
 * <p>
 * 销售订单表 服务类
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-06
 */
public interface ISalesOrderService extends IService<SalesOrder> {

    PageInfo<SalesOrderVO> queryListBySearch(SalesOrderSearch search);

    SalesOrderDtlVO getDetail(Long id, boolean is4Update);

    Long saveSalesOrder(SalesOrder salesOrder);

    boolean existSalesOrderByImporterId(Long importerId);
}
